public inbox for gentoo-commits@lists.gentoo.org
 help / color / mirror / Atom feed
* [gentoo-commits] repo/gentoo:master commit in: app-text/cuneiform/
@ 2015-10-31  9:36 Ian Delaney
  0 siblings, 0 replies; 5+ messages in thread
From: Ian Delaney @ 2015-10-31  9:36 UTC (permalink / raw
  To: gentoo-commits

commit:     c872bc1689f6a19b1897750cb28c1a648193e792
Author:     Ian Delaney <idella4 <AT> gentoo <DOT> org>
AuthorDate: Sat Oct 31 09:35:31 2015 +0000
Commit:     Ian Delaney <idella4 <AT> gentoo <DOT> org>
CommitDate: Sat Oct 31 09:36:11 2015 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=c872bc16

app-text/cuneiform: metadata.xml: update maintainer's email address

Package-Manager: portage-2.2.23

 app-text/cuneiform/metadata.xml | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

diff --git a/app-text/cuneiform/metadata.xml b/app-text/cuneiform/metadata.xml
index 5c81a0d..bcd97db 100644
--- a/app-text/cuneiform/metadata.xml
+++ b/app-text/cuneiform/metadata.xml
@@ -3,7 +3,7 @@
 <pkgmetadata>
 	<herd>proxy-maintainers</herd>
 	<maintainer>
-		<email>yaleks@gentoo.ru</email>
+		<email>yaleks@gmail.com</email>
 		<name>Aleksandr Yakimov</name>
 	</maintainer>
 	<maintainer>


^ permalink raw reply related	[flat|nested] 5+ messages in thread

* [gentoo-commits] repo/gentoo:master commit in: app-text/cuneiform/
@ 2017-02-11 19:47 David Seifert
  0 siblings, 0 replies; 5+ messages in thread
From: David Seifert @ 2017-02-11 19:47 UTC (permalink / raw
  To: gentoo-commits

commit:     376733c6e79af63bc5d5a436cf8ef0d80d4a05f4
Author:     David Seifert <soap <AT> gentoo <DOT> org>
AuthorDate: Sat Feb 11 19:21:57 2017 +0000
Commit:     David Seifert <soap <AT> gentoo <DOT> org>
CommitDate: Sat Feb 11 19:46:59 2017 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=376733c6

app-text/cuneiform: Use sub-slot operators for imagemagick

Package-Manager: Portage-2.3.3, Repoman-2.3.1
Closes: https://github.com/gentoo/gentoo/pull/3907

 app-text/cuneiform/cuneiform-1.1.0-r1.ebuild | 53 ---------------------------
 app-text/cuneiform/cuneiform-1.1.0-r2.ebuild | 54 ++++++++++++++++++++++++++++
 2 files changed, 54 insertions(+), 53 deletions(-)

diff --git a/app-text/cuneiform/cuneiform-1.1.0-r1.ebuild b/app-text/cuneiform/cuneiform-1.1.0-r1.ebuild
deleted file mode 100644
index 42e1207449..0000000000
--- a/app-text/cuneiform/cuneiform-1.1.0-r1.ebuild
+++ /dev/null
@@ -1,53 +0,0 @@
-# Copyright 1999-2012 Gentoo Foundation
-# Distributed under the terms of the GNU General Public License v2
-# $Id$
-
-EAPI="4"
-inherit cmake-utils versionator
-
-PV_MAJ=$(get_version_component_range 1-2)
-MY_P=${PN}-linux-${PV}
-
-DESCRIPTION="An enterprise quality optical character recognition (OCR) engine by Cognitive Technologies"
-HOMEPAGE="https://launchpad.net/cuneiform-linux"
-SRC_URI="https://launchpad.net/${PN}-linux/${PV_MAJ}/${PV_MAJ}/+download/${MY_P}.tar.bz2"
-
-LICENSE="BSD"
-SLOT="0"
-KEYWORDS="~amd64 ~x86"
-
-IUSE="debug +imagemagick graphicsmagick"
-
-REQUIRED_USE="^^ ( imagemagick graphicsmagick )"
-
-RDEPEND="imagemagick? ( media-gfx/imagemagick )
-		graphicsmagick? ( media-gfx/graphicsmagick )"
-DEPEND=">=dev-util/cmake-2.6.2
-	${RDEPEND}"
-
-DOCS="readme.txt"
-
-S=${WORKDIR}/${MY_P}
-
-src_prepare(){
-	epatch "${FILESDIR}/c-assert.diff"
-	epatch "${FILESDIR}/libm.diff"
-	if use graphicsmagick; then
-		epatch "${FILESDIR}/graphicsmagick.diff"
-	fi
-	# respect LDFLAGS
-	sed -i 's:\(set[(]CMAKE_SHARED_LINKER_FLAGS "[^"]*\):\1 $ENV{LDFLAGS}:' \
-		"${S}/cuneiform_src/CMakeLists.txt" || die "failed to sed for LDFLAGS"
-	# Fix automagic dependencies / linking
-	if ! use imagemagick; then
-		sed -i "s:find_package(ImageMagick COMPONENTS Magick++):#DONOTFIND:" \
-			"${S}/cuneiform_src/CMakeLists.txt" \
-		|| die "Sed for ImageMagick automagic dependency failed."
-	fi
-}
-
-src_install() {
-	#default
-	cmake-utils_src_install
-	doman "${FILESDIR}/${PN}.1"
-}

diff --git a/app-text/cuneiform/cuneiform-1.1.0-r2.ebuild b/app-text/cuneiform/cuneiform-1.1.0-r2.ebuild
new file mode 100644
index 0000000000..564bbd04d8
--- /dev/null
+++ b/app-text/cuneiform/cuneiform-1.1.0-r2.ebuild
@@ -0,0 +1,54 @@
+# Copyright 1999-2017 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Id$
+
+EAPI=6
+
+inherit cmake-utils versionator
+
+PV_MAJ=$(get_version_component_range 1-2)
+MY_P=${PN}-linux-${PV}
+
+DESCRIPTION="An enterprise quality OCR engine by Cognitive Technologies"
+HOMEPAGE="https://launchpad.net/cuneiform-linux"
+SRC_URI="https://launchpad.net/${PN}-linux/${PV_MAJ}/${PV_MAJ}/+download/${MY_P}.tar.bz2"
+
+LICENSE="BSD"
+SLOT="0"
+KEYWORDS="~amd64 ~x86"
+
+IUSE="debug graphicsmagick"
+
+RDEPEND="
+	!graphicsmagick? ( media-gfx/imagemagick:= )
+	graphicsmagick? ( media-gfx/graphicsmagick:= )"
+DEPEND="${RDEPEND}"
+
+S=${WORKDIR}/${MY_P}
+
+DOCS=( readme.txt )
+PATCHES=(
+	"${FILESDIR}/c-assert.diff"
+	"${FILESDIR}/libm.diff"
+)
+
+src_prepare(){
+	use graphicsmagick && PATCHES+=( "${FILESDIR}/graphicsmagick.diff" )
+	cmake-utils_src_prepare
+
+	# respect LDFLAGS
+	sed -i 's:\(set[(]CMAKE_SHARED_LINKER_FLAGS "[^"]*\):\1 $ENV{LDFLAGS}:' \
+		cuneiform_src/CMakeLists.txt || die "failed to sed for LDFLAGS"
+
+	# Fix automagic dependencies / linking
+	if use graphicsmagick; then
+		sed -i "s:find_package(ImageMagick COMPONENTS Magick++):#DONOTFIND:" \
+			cuneiform_src/CMakeLists.txt \
+			|| die "Sed for ImageMagick automagic dependency failed."
+	fi
+}
+
+src_install() {
+	cmake-utils_src_install
+	doman "${FILESDIR}/${PN}.1"
+}


^ permalink raw reply related	[flat|nested] 5+ messages in thread

* [gentoo-commits] repo/gentoo:master commit in: app-text/cuneiform/
@ 2017-08-02 20:51 Richard Freeman
  0 siblings, 0 replies; 5+ messages in thread
From: Richard Freeman @ 2017-08-02 20:51 UTC (permalink / raw
  To: gentoo-commits

commit:     e4bc254836991a2b51b721257e8bee0277efe1e5
Author:     Richard Freeman <rich0 <AT> gentoo <DOT> org>
AuthorDate: Wed Aug  2 20:51:19 2017 +0000
Commit:     Richard Freeman <rich0 <AT> gentoo <DOT> org>
CommitDate: Wed Aug  2 20:51:44 2017 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=e4bc2548

app-text/cuneiform: setting to maintainer-needed per #595010

Bug: 595010
Package-Manager: Portage-2.3.6, Repoman-2.3.3

 app-text/cuneiform/metadata.xml | 13 +------------
 1 file changed, 1 insertion(+), 12 deletions(-)

diff --git a/app-text/cuneiform/metadata.xml b/app-text/cuneiform/metadata.xml
index 9578fc153c8..8797b4d858f 100644
--- a/app-text/cuneiform/metadata.xml
+++ b/app-text/cuneiform/metadata.xml
@@ -1,18 +1,7 @@
 <?xml version="1.0" encoding="UTF-8"?>
 <!DOCTYPE pkgmetadata SYSTEM "http://www.gentoo.org/dtd/metadata.dtd">
 <pkgmetadata>
-	<maintainer type="person">
-		<email>yaleks@gmail.com</email>
-		<name>Aleksandr Yakimov</name>
-	</maintainer>
-	<maintainer type="person">
-		<email>rich0@gentoo.org</email>
-		<name>Richard Freeman</name>
-	</maintainer>
-	<maintainer type="project">
-		<email>proxy-maint@gentoo.org</email>
-		<name>Proxy Maintainers</name>
-	</maintainer>
+	<!-- maintainer-needed -->
 	<longdescription lang="en">
 		Cuneiform is an multi-language OCR system.
 	</longdescription>


^ permalink raw reply related	[flat|nested] 5+ messages in thread

* [gentoo-commits] repo/gentoo:master commit in: app-text/cuneiform/
@ 2018-11-14 22:32 Pacho Ramos
  0 siblings, 0 replies; 5+ messages in thread
From: Pacho Ramos @ 2018-11-14 22:32 UTC (permalink / raw
  To: gentoo-commits

commit:     5f97541e4504ec95fb5474a6d79d123e9931012f
Author:     Pacho Ramos <pacho <AT> gentoo <DOT> org>
AuthorDate: Wed Nov 14 22:32:07 2018 +0000
Commit:     Pacho Ramos <pacho <AT> gentoo <DOT> org>
CommitDate: Wed Nov 14 22:32:17 2018 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=5f97541e

app-text/cuneiform: Drop old

Signed-off-by: Pacho Ramos <pacho <AT> gentoo.org>
Package-Manager: Portage-2.3.51, Repoman-2.3.11

 app-text/cuneiform/cuneiform-1.1.0-r2.ebuild | 53 ----------------------------
 1 file changed, 53 deletions(-)

diff --git a/app-text/cuneiform/cuneiform-1.1.0-r2.ebuild b/app-text/cuneiform/cuneiform-1.1.0-r2.ebuild
deleted file mode 100644
index 6b1f082888d..00000000000
--- a/app-text/cuneiform/cuneiform-1.1.0-r2.ebuild
+++ /dev/null
@@ -1,53 +0,0 @@
-# Copyright 1999-2017 Gentoo Foundation
-# Distributed under the terms of the GNU General Public License v2
-
-EAPI=6
-
-inherit cmake-utils versionator
-
-PV_MAJ=$(get_version_component_range 1-2)
-MY_P=${PN}-linux-${PV}
-
-DESCRIPTION="An enterprise quality OCR engine by Cognitive Technologies"
-HOMEPAGE="https://launchpad.net/cuneiform-linux"
-SRC_URI="https://launchpad.net/${PN}-linux/${PV_MAJ}/${PV_MAJ}/+download/${MY_P}.tar.bz2"
-
-LICENSE="BSD"
-SLOT="0"
-KEYWORDS="~amd64 ~x86"
-
-IUSE="debug graphicsmagick"
-
-RDEPEND="
-	!graphicsmagick? ( media-gfx/imagemagick:= )
-	graphicsmagick? ( media-gfx/graphicsmagick:= )"
-DEPEND="${RDEPEND}"
-
-S=${WORKDIR}/${MY_P}
-
-DOCS=( readme.txt )
-PATCHES=(
-	"${FILESDIR}/c-assert.diff"
-	"${FILESDIR}/libm.diff"
-)
-
-src_prepare(){
-	use graphicsmagick && PATCHES+=( "${FILESDIR}/graphicsmagick.diff" )
-	cmake-utils_src_prepare
-
-	# respect LDFLAGS
-	sed -i 's:\(set[(]CMAKE_SHARED_LINKER_FLAGS "[^"]*\):\1 $ENV{LDFLAGS}:' \
-		cuneiform_src/CMakeLists.txt || die "failed to sed for LDFLAGS"
-
-	# Fix automagic dependencies / linking
-	if use graphicsmagick; then
-		sed -i "s:find_package(ImageMagick COMPONENTS Magick++):#DONOTFIND:" \
-			cuneiform_src/CMakeLists.txt \
-			|| die "Sed for ImageMagick automagic dependency failed."
-	fi
-}
-
-src_install() {
-	cmake-utils_src_install
-	doman "${FILESDIR}/${PN}.1"
-}


^ permalink raw reply related	[flat|nested] 5+ messages in thread

* [gentoo-commits] repo/gentoo:master commit in: app-text/cuneiform/
@ 2023-09-04 21:24 Andreas Sturmlechner
  0 siblings, 0 replies; 5+ messages in thread
From: Andreas Sturmlechner @ 2023-09-04 21:24 UTC (permalink / raw
  To: gentoo-commits

commit:     c85ac0c597b3b15893b0d944c8c878b661b1799e
Author:     Andreas Sturmlechner <asturm <AT> gentoo <DOT> org>
AuthorDate: Mon Sep  4 18:42:20 2023 +0000
Commit:     Andreas Sturmlechner <asturm <AT> gentoo <DOT> org>
CommitDate: Mon Sep  4 21:24:27 2023 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=c85ac0c5

app-text/cuneiform: update EAPI 7 -> 8

Signed-off-by: Andreas Sturmlechner <asturm <AT> gentoo.org>

 app-text/cuneiform/cuneiform-1.1.0-r3.ebuild | 9 ++++-----
 1 file changed, 4 insertions(+), 5 deletions(-)

diff --git a/app-text/cuneiform/cuneiform-1.1.0-r3.ebuild b/app-text/cuneiform/cuneiform-1.1.0-r3.ebuild
index 16ad43b3ac40..f1c79faecb48 100644
--- a/app-text/cuneiform/cuneiform-1.1.0-r3.ebuild
+++ b/app-text/cuneiform/cuneiform-1.1.0-r3.ebuild
@@ -1,16 +1,17 @@
-# Copyright 1999-2021 Gentoo Authors
+# Copyright 1999-2023 Gentoo Authors
 # Distributed under the terms of the GNU General Public License v2
 
-EAPI=7
+EAPI=8
 
 inherit cmake flag-o-matic
 
 PV_MAJ=$(ver_cut 1-2)
 MY_P=${PN}-linux-${PV}
 
-DESCRIPTION="An enterprise quality OCR engine by Cognitive Technologies"
+DESCRIPTION="Enterprise quality OCR engine by Cognitive Technologies"
 HOMEPAGE="https://launchpad.net/cuneiform-linux"
 SRC_URI="https://launchpad.net/${PN}-linux/${PV_MAJ}/${PV_MAJ}/+download/${MY_P}.tar.bz2"
+S="${WORKDIR}/${MY_P}"
 
 LICENSE="BSD"
 SLOT="0"
@@ -22,8 +23,6 @@ RDEPEND="
 	graphicsmagick? ( media-gfx/graphicsmagick:= )"
 DEPEND="${RDEPEND}"
 
-S=${WORKDIR}/${MY_P}
-
 PATCHES=(
 	# From Fedora
 	"${FILESDIR}"/${P}-c-assert.patch


^ permalink raw reply related	[flat|nested] 5+ messages in thread

end of thread, other threads:[~2023-09-04 21:24 UTC | newest]

Thread overview: 5+ messages (download: mbox.gz follow: Atom feed
-- links below jump to the message on this page --
2018-11-14 22:32 [gentoo-commits] repo/gentoo:master commit in: app-text/cuneiform/ Pacho Ramos
  -- strict thread matches above, loose matches on Subject: below --
2023-09-04 21:24 Andreas Sturmlechner
2017-08-02 20:51 Richard Freeman
2017-02-11 19:47 David Seifert
2015-10-31  9:36 Ian Delaney

This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox